import { t } from '@lingui/macro';

export const invoiceVATLabelMap = {
  ['no_value']: t`Invoice number`,
  ['form_value']: t`Form number`,
  ['serial_value']: t`Serial`,
  ['date']: t`Date`,
  ['seller_company_name_value']: t`Seller company name`,
  ['seller_tax_code_value']: t`Seller tax code`,
  ['seller_address_value']: t`Seller address`,
  ['seller_mobile_value']: t`Seller mobile`,
  ['buyer_company_name_value']: t`Buyer company`,
  ['buyer_name_value']: t`Buyer name`,
  ['buyer_tax_code_value']: t`Buyer tax code`,
  ['buyer_address_value']: t`Buyer address`,
  ['buyer_mobile_value']: t`Buyer mobile`,
  ['VAT_amount_value']: t`VAT amount`,
  ['total_value']: t`Total value`,
  ['total_in_words_value']: t`Total in words`,
};

export const idCardLabelMap = {
  ['Number']: t`Number`,
  ['Name']: t`Name`,
  ['Birthday']: t`Birthday`,
  ['Home Town']: t`Home Town`,
  ['Address']: t`Address`,
  ['Sex']: t`Sex`,
  ['Nationality']: t`Nationality`,
  ['Expiry Date']: t`Expiry Date`,
  ['Nation']: t`Nation`,
  ['Religion']: t`Religion`,
  ['Date Range']: t`Date Range`,
  ['Issued By']: t`Issued By`,
  ['others']: t`others`,
};

export const driverLicenseLabelMap = {
  ['Number']: t`Number`,
  ['Name']: t`Name`,
  ['Birthday']: t`Birthday`,
  ['Home Town']: t`Home Town`,
  ['Address']: t`Address`,
  ['Sex']: t`Sex`,
  ['Nationality']: t`Nationality`,
  ['Expiry Date']: t`Expiry Date`,
  ['Nation']: t`Nation`,
  ['Religion']: t`Religion`,
  ['Date Range']: t`Date Range`,
  ['Issued By']: t`Issued By`,
  ['Rank']: t`Rank`,
  ['others']: t`others`,
};
